### API Overview: External API
Source: https://developer.paychex.com/sites/default/files/apidocument/openapi-merge-develop.205-public.json
# Developer Resources
Refer
[Developer Resources](/resources/overview/) for more details on API specification
# Getting started
[Click here to open the Getting Started page](/getting-started/overview)
```yaml
# External API
# Version: 1.0
# Developer Resources
Refer
[Developer Resources](/resources/overview/) for more details on API specification
# Getting started
[Click here to open the Getting Started page](/getting-started/overview)
# Base URL: https://api.paychex.com
```
--------------------------------
### GET /management/hooks
Source: https://developer.paychex.com/sites/default/files/apidocument/openapi-merge-develop.205-public.json
List all the webhooks setup for the calling application
```markdown
### Responses
#### 200 - Webhooks successfully returned.
#### 401 - Unauthorized
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 403 - User does not have access to this resource (API-2)
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 404 - Invalid resource ID (API-7)
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 405 - Unsupported method type (API-59)
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 500 - Internal Server Error.
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
### Example Usage
```bash
curl -X GET "https://api.paychex.com/management/hooks"
```
```
--------------------------------
### Schema: LineageInfoResource
Source: https://developer.paychex.com/sites/default/files/apidocument/openapi-merge-develop.205-public.json
Client lineage information
```markdown
## Schema: LineageInfoResource
Client lineage information
**Type:** object
- **successors** (object): Successors lineage information of the company.
- **predecessors** (object): Predecessors lineage information of the company.
```
--------------------------------
### GET /workers/{workerId}/federaltax
Source: https://developer.paychex.com/sites/default/files/apidocument/openapi-merge-develop.205-public.json
Federal tax setup for an "Active" or "In-progress" worker.
```markdown
### Parameters
- **workerId** (string, path, required): ID associated with desired worker.
### Responses
#### 200 - Worker Federal Tax successfully returned
- **content** (object): The representational state of the a worker's federal tax setup.
- **taxId** (string): The ID for the federal tax item. (example: "3520000118851387")
- **filingStatus** (string (SINGLE_OR_MARRIED_FILING_SEPARATELY|MARRIED_FILING_JOINTLY|HEAD_OF_HOUSEHOLD)): Filing status. (example: "MARRIED_FILING_JOINTLY") ("SINGLE_OR_MARRIED_FILING_SEPARATELY"|"MARRIED_FILING_JOINTLY"|"HEAD_OF_HOUSEHOLD")
- **multipleJobs** (string (true|false)): See federal W-4 instructions. (example: "false") ("true"|"false")
- **dependentsAmount** (string): See federal W-4 instructions. (example: "123.45")
- **otherIncome** (string): See federal W-4 instructions. (example: "23.45")
- **deductionsAmount** (string): See federal W-4 instructions. (example: "2.45")
- **taxesWithheld** (string (true|false)): Should federal taxes be withheld:
true means federal taxes are withheld,
false means federal taxes are NOT withheld. Earnings will still be reported to state and federal agencies. (example: "true") ("true"|"false")
- **extraWithholdingAmount** (string): See federal W-4 instructions. Can be used with extraWithholdingPercentage or overrideWithholdingPercentage. Cannot be used with overrideWithholdingAmount. If extraWithholdingAmount is entered, existing overrideWithholdingAmount data will be removed. (example: "3.45")
- **overrideWithholdingAmount** (string): See federal W-4 instructions. Cannot be used with extraWithholdingAmount, extraWithholdingPercentage, or overrideWithholdingPercentage. If entered, existing extraWithholdingAmount, extraWithholdingPercentage, and overrideWithholdingPercentage data will be removed. (example: "9.45")
- **extraWithholdingPercentage** (string): See federal W-4 instructions. Can be used with extraWithholdingAmount. Cannot be used with overrideWithholdingAmount or overrideWithholdingPercentage. If entered, existing overrideWithholdingAmount and overrideWithholdingPercentage data will be removed. (example: "19.45")
- **overrideWithholdingPercentage** (string): See federal W-4 instructions. Can be used with extraWithholdingAmount. Cannot be used with overrideWithholdingAmount or extraWithholdingPercentage. If entered, existing overrideWithholdingAmount and extraWithholdingPercentage data will be removed. (example: "31.95")
- **links** (array (Link1))
Array items:
- **href** (string)
- **hreflang** (string)
- **title** (string)
- **type** (string)
- **deprecation** (string)
- **profile** (string)
- **name** (string)
- **templated** (boolean)
#### 400 - Invalid resource or field, The request cannot be performed since the worker is in a state which does not allow this action(API-19)
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 404 - Worker Federal Tax not found
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 500 - Internal Server Error.
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
### Example Usage
```bash
curl -X GET "https://api.paychex.com/workers/{workerId}/federaltax"
```
```
--------------------------------
### GET /companies/{companyId}/jobsegments
Source: https://developer.paychex.com/sites/default/files/apidocument/openapi-merge-develop.205-public.json
Retrieve job segment structure setup for this client. This endpoint is only available if the client has their job numbering set up in '2-3 separate 'segments'. The response will give you back the exact character lengths and the segment names so you are able to POST.
```markdown
### Parameters
- **companyId** (string, path, required): The ID of the company.
### Responses
#### 200 - successful operation
- **metadata** (object)
- **contentItemCount** (integer (int32))
- **pagination** (object)
- **offset** (integer (int32))
- **limit** (integer (int32))
- **itemCount** (integer (int32))
- **total** (integer (int32))
- **content** (object)
- **segmentNumber** (integer (int32)): Segment Number (example: 1)
- **name** (string): Segment Name (example: "Service Code")
- **segmentLength** (integer (int32)): Segment Length (example: 4)
- **links** (array (Link))
Array items:
- **rel** (string)
- **href** (string)
- **hreflang** (string)
- **media** (string)
- **title** (string)
- **type** (string)
- **deprecation** (string)
- **profile** (string)
- **name** (string)
- **links** (array (Link))
Array items:
#### 401 - Unauthorized
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 403 - User doesn't have access to this endpoint (API-2), Client has been end dated (API-68)
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 404 - Invalid resource ID (API-7)
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 405 - Unsupported method type (API-59)
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 406 - Unsupported Accept header
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 500 - Internal Server Error.
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
### Example Usage
```bash
curl -X GET "https://api.paychex.com/companies/{companyId}/jobsegments"
```
```
--------------------------------
### POST /management/hooks
Source: https://developer.paychex.com/sites/default/files/apidocument/openapi-merge-develop.205-public.json
Add a webhook for the calling application.
When registering a webhook, you will need to provide your own URI in the request body (see our full webhook documention here on how to configure your URI). The newly registered webhook will send notifications to this endpoint as JSON payloads which vary by domain. Please configure your endpoint to accept the relevant payloads. To see an example payload for each domain, please refer to the "Callbacks" tab.
```markdown
### Request Body
**Content-Type:** application/json
- **hookId** (string): The unique identifier associated with this webhook. Not required for Posting.
- **uri** (string) (required): Enter a valid URL for the webhook to receive events.
- **companyId** (string): ID associated with desired company that will receive the webhook notifications. NOTE: If no Company ID is provided in the POST, then all companies linked to the app will receive notifications.
- **authentication** (object) (required): Required Authentication object is going to be different based on each authType.
* NO_AUTH doesn't have any other fields in authentication object
* BASIC_AUTH needs 2 fields: username and password
* APIKEY requires the field: apiKey
* OAUTH2 requires 5 fields: tokenUrl, clientId, clientSecret, grantType, contentType
* OAUTH2_BASIC requires 5 fields: tokenUrl, clientId, clientSecret, grantType, contentType
- **authType** (string (NO_AUTH|BASIC_AUTH|API_KEY|OAUTH2|OAUTH2_BASIC)) (required): The authorization method used to authorize callers to your webhook url. ("NO_AUTH"|"BASIC_AUTH"|"API_KEY"|"OAUTH2"|"OAUTH2_BASIC")
- **apiKey** (string): The API key required for API_KEY authorization.
- **username** (string): The username required for BASIC_AUTH authorization.
- **password** (string): The password required for BASIC_AUTH authorization.
- **tokenUrl** (string): The URL used to obtain an access token for OAUTH2 or OAUTH2_BASIC authorization.
- **clientId** (string): The client ID required by OAUTH2 and OAUTH2_BASIC authorization.
- **clientSecret** (string): The client secret required by OAUTH2 and OAUTH2_BASIC authorization.
- **grantType** (string): The grant type used to acquire an access token by OAUTH2 and OAUTH2_BASIC authorization.
- **contentType** (string): The content type to use in the token request for OAUTH2 and OAUTH2_BASIC authorization.
- **domains** (array (string)) (required): List of available domains to register to. Refer to webhook documentation https://developer.paychex.com/documentation#operation/domains.
- **links** (array (Link))
Array items:
- **rel** (string)
- **href** (string)
- **hreflang** (string)
- **media** (string)
- **title** (string)
- **type** (string)
- **deprecation** (string)
- **profile** (string)
- **name** (string)
### Responses
#### 201 - Webhook successfully created.
**WebhookResponse**
- **hookId** (string)
- **companyId** (string)
- **uri** (string)
- **authType** (string)
- **createdDate** (string (date-time))
- **active** (boolean)
- **domains** (array (string))
#### 400 - Please add the required attribute. (API-46), Please provide a hookid without special characters. (API-22)
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 401 - Unauthorized
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 403 - User does not have access to this resource. (API-2)
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 404 - Invalid resource ID (API-7)
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 405 - Unsupported method type (API-59)
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 500 - Internal Server Error.
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
### Example Usage
```bash
curl -X POST "https://api.paychex.com/management/hooks" \
-H "Content-Type: application/json" \
-d '{
"hookId": "string",
"uri": "string",
"companyId": "string",
"authentication": "value",
"domains": [
"string"
],
"links": [
"value"
]
}'
```
```
--------------------------------
### Schema: Readiness
Source: https://developer.paychex.com/sites/default/files/apidocument/openapi-merge-develop.205-public.json
Schema definition for Readiness
```markdown
## Schema: Readiness
Schema definition for Readiness
**Type:** object
- **busy** (boolean)
- **busyReason** (string)
```
--------------------------------
### GET /workers/{workerId}/customfields
Source: https://developer.paychex.com/sites/default/files/apidocument/openapi-merge-develop.205-public.json
Get the worker's customFields
```markdown
### Parameters
- **workerId** (string, path, required): ID associated with desired worker.
- **asof** (string, query, optional): Returns all custom fields as of the date used in the request
### Responses
#### 200 - Worker Custom fields successfully returned
- **metadata** (object)
- **contentItemCount** (integer (int32))
- **pagination** (object)
- **offset** (integer (int32))
- **limit** (integer (int32))
- **itemCount** (integer (int32))
- **total** (integer (int32))
- **content** (object)
- **workerCustomFieldId** (string): The unique identifier that is autogenerated when a custom field is created
- **customFieldId** (string): client Custom Field Id
- **type** (string (DROPDOWN|TEXT|BOOLEAN|DATE|NUMERIC, NUMERIC__0_00_ OR NUMERIC__0_0000_)): The type of field the custom field is ("DROPDOWN"|"TEXT"|"BOOLEAN"|"DATE"|"NUMERIC, NUMERIC__0_00_ OR NUMERIC__0_0000_")
- **booleanValue** (boolean): The value for BOOLEAN type (true/false)
- **textValue** (string): The value for TEXT type (any text, alphanumeric, special characters allowed)
- **numericValue** (number): Numeric data type can have three formats namely - whole number, second decimal place and fourth decimal place, example: 12 , 12.34 or 12.3456
- **dateValue** (string (date-time)): The value for DATE type , example : 2012-02-01T05:00:00Z
- **dropdownId** (string): The unique identifier that is autogenerated when dropdown list is created
- **dropdownValue** (string): The value for dropdown list
- **customFieldName** (string): The name of the custom field. Such as: "Hobbies"
- **required** (boolean): Where to indicate if the custom field is required on the worker where true = required and false = not required
- **checkStub** (boolean): Where to indicate if the custom field is required on the workers pay stub, where true = required and false = not required.
- **employeeEditable** (boolean): Where to indicate if the custom field is able to be edited by the employee, where true = required and false = not required.
- **links** (array (Link1))
Array items:
- **href** (string)
- **hreflang** (string)
- **title** (string)
- **type** (string)
- **deprecation** (string)
- **profile** (string)
- **name** (string)
- **templated** (boolean)
#### 400 - Invalid resource or field, The request cannot be performed since the worker is in a state which does not allow this action(API-19)
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 404 - Worker Custom fields not found
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 500 - Internal Server Error.
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
### Example Usage
```bash
curl -X GET "https://api.paychex.com/workers/{workerId}/customfields?asof=string"
```
```
--------------------------------
### GET /workers/{workerId}/contacts
Source: https://developer.paychex.com/sites/default/files/apidocument/openapi-merge-develop.205-public.json
Get all contacts for the specified worker.
```markdown
### Parameters
- **workerId** (string, path, required): ID associated with desired worker.
### Responses
#### 200 - Successful operation.
- **metadata** (object)
- **contentItemCount** (integer (int32))
- **pagination** (object)
- **offset** (integer (int32))
- **limit** (integer (int32))
- **itemCount** (integer (int32))
- **total** (integer (int32))
- **content** (object)
- **contactId** (string): The ID for the workers specific contact.
- **contactType** (object): The type of this worker contact. Required for POST contacts.
- **contactTypeId** (string): The ID for specific type of contact. Required for POST contacts.
- **contactTypeName** (string): Enum: "EMERGENCY_CONTACT"
The name for specific type of contact.
- **relationship** (object): The relationship for this worker contract. Required for POST contacts.
- **relationshipId** (string): The ID for the workers relationship to contact.
- **relationWeid** (string): The ID for the workers specific relation.
- **relationshipType** (object): The relationship type for this worker contact. Required for POST person contacts.
- **relationshipTypeId** (string): ID of worker specific type of relationship with the contact. Required for POST contacts.
- **relationshipTypeName** (string): The name of worker specific type of relationship with the contact.
Enum: "Spouse", "Parent", "Sibling", "Child", "Friend", "Domestic Partner", "Other"
- **primary** (boolean): Where to indicate if the contact is selected as Primary, where true = Primary contact and false = not Primary contact.
- **person** (object): The person associated with this relationship. The relationship must have either a person or entity.
- **name** (object): Information about the workers name.
- **familyName** (string): The family or last name of a worker. (example: "JONES")
- **middleName** (string): A subordinate given name, or initial representing that name, of a worker.
NOTE: Please send in just a single character initial for middleName.
If sending in more than one character the name will be truncated the first letter of the middleName.
A full middle name can be entered directly in Paychex Flex only at this time. (example: "H")
- **givenName** (string): The given or first name of a worker. For an independent contractor that is a company rather than an individual, the name of the company. (example: "INDIANA")
- **preferredName** (string): The first name that the worker prefers to go by (example: "Indi")
- **preferredLastName** (string): The last name that the worker prefers to go by (example: "Jan")
- **pronoun** (string): The pronoun that the worker prefers to go by. This data field cannot be POSTED. (example: "He/him/his")
- **qualificationAffixCode** (string): A qualifier to the name of a worker, indicating generation. (example: "Jr")
- **titleAffixCode** (string): A personal title that comes before an individual's name in a formal address (such as Dr., Prof., Rev., Mr.). (example: "Dr")
- **communication** (object): The set of communications for this contact. Required for POST contacts.
- **telecom** (array (TelecomResource)): The telecom communications for this contact.
Array items:
- **communicationId** (string): The ID for the workers relationship to contact.
- **dialCountry** (string): The country code. Required for POST contacts.
- **dialArea** (string): The area code. Required for POST contacts.
- **dialNumber** (string): The phone number. Required for POST contacts.
- **type** (string): Enum: "PHONE", "MOBILE_PHONE"
Indicates whether or not the number is for a mobile device. Required for POST contacts.
- **usageType** (string): Enum: "PERSONAL", "BUSINESS"
A code classifying a designated use associated with a contact method. For example, whether a telephone or email address is one for work communications or one primarily for personal use. This data field cannot be PATCHED. Required for POST contacts.
- **extension** (string): The phone extension.
- **postal** (array (PostalResource)): The postal communications for this contact.
Array items:
- **communicationId** (string): The ID for the workers relationship to contact.
- **streetLineOne** (string): The street address line one. Required for street address. Required for POST contacts.
- **streetLineTwo** (string): The street address line two.
- **postOfficeBox** (string): The postal office box. Required for PO Box with POST contacts.
- **city** (string): The city name. Required for POST contacts.
- **postalCode** (string): The zip-code. Required for POST contacts.
- **countrySubdivisionCode** (string): The state code (ISO 3166 subdivision code). Required for POST contacts.
- **countryCode** (string): The country code (ISO 3166 alpha-2). Required for POST contacts.
- **email** (array (EmailResource)): The email communications for this contact.
Array items:
- **communicationId** (string): The ID for this email communication.
- **uri** (string): The mailto address as specified in RFC2368. Required for POST contacts.
- **usageType** (string): Enum: "PERSONAL", "BUSINESS"
A code classifying a designated use associated with a contact method. For example, whether a telephone or email address is one for work communications or one primarily for personal use. This data field cannot be PATCHED. Required for POST contacts.
- **entity** (object): The organization associated with this relationship. The relationship must have either a person or entity.
- **entityId** (string): The ID for this contact.
- **entityName** (string): The entity name. Required for POST contacts.
- **communication** (object): The set of communications for this contact. Required for POST contacts.
- **links** (array (Link1))
Array items:
- **href** (string)
- **hreflang** (string)
- **title** (string)
- **type** (string)
- **deprecation** (string)
- **profile** (string)
- **name** (string)
- **templated** (boolean)
#### 400 - Invalid worker status (API-19)
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 401 - Unauthorized (API-102)
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 403 - User doesn't have access to this endpoint (API-2), Client has been end dated (API-68)
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 404 - Invalid resource ID (API-7)
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 405 - Unsupported method type (API-59)
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 406 - Unsupported Accept header
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
#### 500 - Internal Server Error.
**ErrorResource**
- **code** (string): Error code
- **description** (string): Description of error
- **resolution** (string): Resolution of error
### Example Usage
```bash
curl -X GET "https://api.paychex.com/workers/{workerId}/contacts"
```
```
--------------------------------
### Schema: ClientVersion
Source: https://developer.paychex.com/sites/default/files/apidocument/openapi-merge-develop.205-public.json
Schema definition for ClientVersion
```markdown
## Schema: ClientVersion
Schema definition for ClientVersion
**Type:** object
- **id** (integer (int64))
- **taxPayerIdentificationNumber** (string)
- **tinLastFour** (string)
- **tinType** (string)
- **tinValidStatusCode** (string)
- **normalizedName** (string)
- **normalizedCity** (string)
- **normalizedCountryCode** (string)
- **versionStatusCode** (string)
- **beginEffectiveDate** (string (date-time))
- **endEffectiveDate** (string (date-time))
- **normalizedBuildingNumber** (string)
- **normalizedSteetName** (string)
- **normalizedUnitName** (string)
- **normalizedPOBox** (string)
- **normalizedStateProvince** (string)
- **normalizedStateProvinceF** (string)
- **normalizedPostalCode** (string)
- **tinVersionStatusCode** (string)
- **status** (string)
- **statusDate** (string (date-time))
- **superceededBy** (string)
- **modifiedDate** (string (date-time))
- **modifiedByApplicationName** (string)
- **modifiedByApplicationSubProcessName** (string)
- **modifiedByUserId** (string)
- **modifiedReason** (string)
- **client** (object)
- **lockVersion** (integer (int64))
- **createdByApplicationName** (string)
- **createdByUserId** (string)
- **createdDate** (string (date-time))
- **createdByApplicationSubProcessName** (string)
- **clientAccountRegistrations** (array (ClientAccountRegistration))
Array items:
- **id** (integer (int64))
- **startDate** (string (date-time))
- **endDate** (string (date-time))
- **endReasonCode** (string)
- **createdDate** (string (date-time))
- **createdByApplicationName** (string)
- **createdByUserId** (string)
- **createdByApplicationSubProcessName** (string)
- **modifiedDate** (string (date-time))
- **modifiedByApplicationName** (string)
- **modifiedByApplicationSubProcessName** (string)
- **modifiedByUserId** (string)
- **client** (object)
- **clientAccount** (object)
- **externalCAID** (string)
- **externalId** (string)
- **lockVersion** (integer (int32))
- **applicationName** (string)
- **assignedName** (string)
- **createdDate** (string (date-time))
- **createdByApplicationName** (string)
- **createdByUserId** (string)
- **routeAttributeName** (string)
- **createdByApplicationSubProcessName** (string)
- **routeAttributeValue** (string)
- **modifiedDate** (string (date-time))
- **modifiedByApplicationName** (string)
- **modifiedByApplicationSubProcessName** (string)
- **modifiedByUserId** (string)
- **parentIndicator** (boolean)
- **displayName** (string)
- **clientAccountRegistrations** (array (ClientAccountRegistration))
Array items:
- **successors** (object)
- **predecessors** (object)
- **caid** (string)
- **clientAccountRelations** (array (ClientAccountRelation))
Array items:
- **id** (integer (int64))
- **applicationName** (string)
- **assignedName** (string)
- **sibApplicationName** (string)
- **sibAssignedName** (string)
- **createdDate** (string (date-time))
- **endDate** (string (date-time))
- **createdByApplicationName** (string)
- **createdByUserId** (string)
- **createdByApplicationSubProcessName** (string)
- **modifiedDate** (string (date-time))
- **modifiedByApplicationName** (string)
- **modifiedByApplicationSubProcessName** (string)
- **caid** (string)
- **modifiedByUserId** (string)
- **client** (object)
- **clientAddresses** (array (ClientAddress))
Array items:
- **id** (integer (int64))
- **addressUsageType** (string)
- **createdDate** (string (date-time))
- **createdByApplicationName** (string)
- **createdByUserId** (string)
- **createdByApplicationSubProcessName** (string)
- **client** (object)
- **clientAddressVersions** (array (ClientAddressVersion))
Array items:
- **id** (integer (int64))
- **city** (string)
- **valStateCode** (string)
- **verStateCode** (string)
- **beginEffectiveDate** (string (date-time))
- **endEffectiveDate** (string (date-time))
- **modifiedDate** (string (date-time))
- **stateProvince** (string)
- **stateProvinceF** (string)
- **portalCode** (string)
- **countryCode** (string)
- **buildingNumber** (string)
- **unitName** (string)
- **streetName** (string)
- **poBox** (string)
- **streetAddressOne** (string)
- **streetAddressTwo** (string)
- **modifedByApplicationName** (string)
- **modifiedByApplicationSubProcessName** (string)
- **modifiedByUserId** (string)
- **clientAddress** (object)
- **clientNames** (array (ClientName))
Array items:
- **id** (integer (int64))
- **type** (string)
- **createdDate** (string (date-time))
- **createdByApplicationName** (string)
- **createdByUserId** (string)
- **createdByApplicationSubProcessName** (string)
- **clients** (object)
- **clientNameVersions** (array (ClientNameVersion))
Array items:
- **cnvId** (integer (int64))
- **cnvCltNm** (string)
- **cnvVerStatCd** (string)
- **cnvValStatCd** (string)
- **cnvBegnEffDt** (string (date-time))
- **cnvEndEffDt** (string (date-time))
- **cnvModDt** (string (date-time))
- **cnvModByAppNm** (string)
- **cnvModByAppUsrNm** (string)
- **cnvModByAppSubNm** (string)
- **cltNmByCnId** (object)
- **clientVersions** (array (ClientVersion))
Array items:
- **ceid** (string)
```
--------------------------------
### Schema: Client
Source: https://developer.paychex.com/sites/default/files/apidocument/openapi-merge-develop.205-public.json
Schema definition for Client
```markdown
## Schema: Client
Schema definition for Client
**Type:** object
- **lockVersion** (integer (int64))
- **createdByApplicationName** (string)
- **createdByUserId** (string)
- **createdDate** (string (date-time))
- **createdByApplicationSubProcessName** (string)
- **clientAccountRegistrations** (array (ClientAccountRegistration))
Array items:
- **id** (integer (int64))
- **startDate** (string (date-time))
- **endDate** (string (date-time))
- **endReasonCode** (string)
- **createdDate** (string (date-time))
- **createdByApplicationName** (string)
- **createdByUserId** (string)
- **createdByApplicationSubProcessName** (string)
- **modifiedDate** (string (date-time))
- **modifiedByApplicationName** (string)
- **modifiedByApplicationSubProcessName** (string)
- **modifiedByUserId** (string)
- **client** (object)
- **clientAccount** (object)
- **externalCAID** (string)
- **externalId** (string)
- **lockVersion** (integer (int32))
- **applicationName** (string)
- **assignedName** (string)
- **createdDate** (string (date-time))
- **createdByApplicationName** (string)
- **createdByUserId** (string)
- **routeAttributeName** (string)
- **createdByApplicationSubProcessName** (string)
- **routeAttributeValue** (string)
- **modifiedDate** (string (date-time))
- **modifiedByApplicationName** (string)
- **modifiedByApplicationSubProcessName** (string)
- **modifiedByUserId** (string)
- **parentIndicator** (boolean)
- **displayName** (string)
- **clientAccountRegistrations** (array (ClientAccountRegistration))
Array items:
- **successors** (object)
- **predecessors** (object)
- **caid** (string)
- **clientAccountRelations** (array (ClientAccountRelation))
Array items:
- **id** (integer (int64))
- **applicationName** (string)
- **assignedName** (string)
- **sibApplicationName** (string)
- **sibAssignedName** (string)
- **createdDate** (string (date-time))
- **endDate** (string (date-time))
- **createdByApplicationName** (string)
- **createdByUserId** (string)
- **createdByApplicationSubProcessName** (string)
- **modifiedDate** (string (date-time))
- **modifiedByApplicationName** (string)
- **modifiedByApplicationSubProcessName** (string)
- **caid** (string)
- **modifiedByUserId** (string)
- **client** (object)
- **clientAddresses** (array (ClientAddress))
Array items:
- **id** (integer (int64))
- **addressUsageType** (string)
- **createdDate** (string (date-time))
- **createdByApplicationName** (string)
- **createdByUserId** (string)
- **createdByApplicationSubProcessName** (string)
- **client** (object)
- **clientAddressVersions** (array (ClientAddressVersion))
Array items:
- **id** (integer (int64))
- **city** (string)
- **valStateCode** (string)
- **verStateCode** (string)
- **beginEffectiveDate** (string (date-time))
- **endEffectiveDate** (string (date-time))
- **modifiedDate** (string (date-time))
- **stateProvince** (string)
- **stateProvinceF** (string)
- **portalCode** (string)
- **countryCode** (string)
- **buildingNumber** (string)
- **unitName** (string)
- **streetName** (string)
- **poBox** (string)
- **streetAddressOne** (string)
- **streetAddressTwo** (string)
- **modifedByApplicationName** (string)
- **modifiedByApplicationSubProcessName** (string)
- **modifiedByUserId** (string)
- **clientAddress** (object)
- **clientNames** (array (ClientName))
Array items:
- **id** (integer (int64))
- **type** (string)
- **createdDate** (string (date-time))
- **createdByApplicationName** (string)
- **createdByUserId** (string)
- **createdByApplicationSubProcessName** (string)
- **clients** (object)
- **clientNameVersions** (array (ClientNameVersion))
Array items:
- **cnvId** (integer (int64))
- **cnvCltNm** (string)
- **cnvVerStatCd** (string)
- **cnvValStatCd** (string)
- **cnvBegnEffDt** (string (date-time))
- **cnvEndEffDt** (string (date-time))
- **cnvModDt** (string (date-time))
- **cnvModByAppNm** (string)
- **cnvModByAppUsrNm** (string)
- **cnvModByAppSubNm** (string)
- **cltNmByCnId** (object)
- **clientVersions** (array (ClientVersion))
Array items:
- **id** (integer (int64))
- **taxPayerIdentificationNumber** (string)
- **tinLastFour** (string)
- **tinType** (string)
- **tinValidStatusCode** (string)
- **normalizedName** (string)
- **normalizedCity** (string)
- **normalizedCountryCode** (string)
- **versionStatusCode** (string)
- **beginEffectiveDate** (string (date-time))
- **endEffectiveDate** (string (date-time))
- **normalizedBuildingNumber** (string)
- **normalizedSteetName** (string)
- **normalizedUnitName** (string)
- **normalizedPOBox** (string)
- **normalizedStateProvince** (string)
- **normalizedStateProvinceF** (string)
- **normalizedPostalCode** (string)
- **tinVersionStatusCode** (string)
- **status** (string)
- **statusDate** (string (date-time))
- **superceededBy** (string)
- **modifiedDate** (string (date-time))
- **modifiedByApplicationName** (string)
- **modifiedByApplicationSubProcessName** (string)
- **modifiedByUserId** (string)
- **modifiedReason** (string)
- **client** (object)
- **ceid** (string)
```